Semantic Search
POST /api/data/chromadb/search
POST
/api/data/chromadb/search
Perform semantic search on a ChromaDB collection.
Request Body required
Section titled “Request Body required ” SemanticSearchRequest
object
collection
required
Collection
Collection name to search
string
query
required
Query
Natural-language search query
string
n_results
N Results
Max results
integer
threshold
Threshold
Similarity threshold
number
Responses
Section titled “ Responses ”Successful Response
SemanticSearchResponse
object
results
required
total
required
Total
integer
collection
required
Collection
string
query
required
Query
string
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context